Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# G4UIWin32.cc File Reference

Go to the source code of this file.

## Classes
class | TextBuffer
## Functions
G4bool | ConvertStringToInt (const char *, int &)
## Variables
char | mainClassName [] = "G4UIWin32"
char | textClassName [] = "G4UIWin32/Text"
G4bool | exitSession = true
G4bool | exitPause = true
G4bool | exitHelp = true
G4UIsession * | tmpSession = NULL
WNDPROC | oldEditWindowProc
int | actionIdentifier = 0

## Function Documentation

G4bool ConvertStringToInt | ( | const char * | aString,
|  | int & | aInt
| ) | `[static]`

| !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!// Definition at line 706 of file G4UIWin32.cc.
    00712 {
    00713   aInt = 0;
    00714   if(aString==NULL) return false;
    00715   char* s;
    00716   long value = strtol(aString,&s,10);
    00717   if(s==aString) return false;
    00718   aInt = value;
    00719   return true;
    00720 }

## Variable Documentation

int actionIdentifier = 0`[static]`

| Definition at line 179 of file G4UIWin32.cc. Referenced by G4UIWin32::AddButton().

G4bool exitHelp = true`[static]`

| Definition at line 173 of file G4UIWin32.cc. Referenced by G4UIWin32::EditWindowProc(), and G4UIWin32::GetHelpChoice().

G4bool exitPause = true`[static]`

| Definition at line 172 of file G4UIWin32.cc. Referenced by G4UIWin32::EditWindowProc(), G4UIWin32::MainWindowProc(), and G4UIWin32::SecondaryLoop().

G4bool exitSession = true`[static]`

| Definition at line 171 of file G4UIWin32.cc. Referenced by G4UIWin32::EditWindowProc(), G4UIWin32::MainWindowProc(), and G4UIWin32::SessionStart().

char mainClassName[] = "G4UIWin32"`[static]`

| Definition at line 169 of file G4UIWin32.cc. Referenced by G4UIWin32::G4UIWin32().

WNDPROC oldEditWindowProc`[static]`

| Definition at line 176 of file G4UIWin32.cc. Referenced by G4UIWin32::EditWindowProc(), and G4UIWin32::MainWindowProc().

char textClassName[] = "G4UIWin32/Text"`[static]`

| Definition at line 170 of file G4UIWin32.cc. Referenced by G4UIWin32::G4UIWin32(), and G4UIWin32::MainWindowProc().

G4UIsession* tmpSession = NULL`[static]`

| Definition at line 174 of file G4UIWin32.cc. Referenced by G4UIWin32::G4UIWin32(), and G4UIWin32::MainWindowProc().